spec:
  inputs:
    job-name:
      default: Markdown-link-check
    job-stage:
      default: test
    docs-path:
      default: doc
    lychee-version:
      default: latest
    options:
      default: --offline --include-fragments
---

$[[ inputs.job-name ]]:
  image:
    name: lycheeverse/lychee:$[[ inputs.lychee-version ]]-alpine
    entrypoint: [""]
  script: lychee --no-progress $[[ inputs.options ]] $[[ inputs.docs-path ]]
  stage: $[[ inputs.job-stage ]]
  needs: []
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
    - if: $CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS
      when: never
    - when: always
